header{
    margin: 0;
    padding-top: 63px;

}

main{
    margin: 0;
 
}

footer{
    margin: 0;

}

body{
    display: flex;
    align-items: center;
    align-content: center;
}

.body{
    width: 1280px;
    margin: 0 auto;
}

.logo p{
    margin: 0;
}

.switch-btn {
    position: fixed;
    width: 70px;
    height: 70px;
    border-radius: 30px;
}


.logo{
    text-decoration: none;
    width: 334px;
    color: #000;
    font-family: 'Roboto', sans-serif;
    font-size: 80px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.logo-1{
    color: #4BCAFF;
    font-family: 'Roboto', sans-serif;
    font-size: 80px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.nav{
    width: 1280px;
    height: 69px;
    background-color: #35444F;
    list-style-type: none;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 40px 0 0 0;
    padding: 0;
}



.nav-item{    
    border: 1px solid #fff;
    padding: 20px 40px;
    margin: 0;

}

.nav-item:hover{
    background-color: #222F3A;
}

.nav-item a {
    color: #FFF;
    font-family: 'Roboto', sans-serif;
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    color: #fff;
    text-decoration: none;
}

.menu{
    display: flex;
    list-style-type: none;
    flex-direction: column;
    justify-content: center;
    text-decoration: none;
    border: 1px solid #000;
    flex-shrink: 0;
    width: 344px;
    padding: 0;
    margin-top: 49px;
}

.menu-item{
    display: flex;
    flex-direction: column;
    flex-shrink: 0;
    height: 81px;
    justify-content: center;
}

.menu-item:hover{
    background-color:#DBDBDB;
    color: #000;
    font-family: 'Roboto', sans-serif;
}

.menu a {
    display: flex;
    color: #495863;
    font-family: 'Roboto', sans-serif;
    font-size: 27px;
    font-style: normal;
    font-weight: 400;
    line-height: 27px;
    padding-left: 44px;
    text-decoration: none;
}

.content{
    display: flex;
}

.main-content {
    gap: 13px;
    width: 1280px;
    display: flex;
    flex-direction: column;
}
    
.image-container{
    margin-bottom: 24px;
    margin-top: 49px;
    width: 878px;
    height: 529px;
    border: 1px solid black;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 52px;
}

.image-container:hover img {
    transition: 0.5s;
    transform: scale(1.1);    
}

    
.main-text {
    margin-top: 0;
    margin-bottom: 0;
    margin-left: 52px;
    color: #2C2C2C;
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    font-style: normal;
    line-height: 24px;
}

.end{
    display: flex;
    justify-content: center;
    list-style-type: none;
    text-decoration: none;
    width: 1280px;
    height: 69px;
    background-color: rgba(99, 105, 110, 0.48);
    padding: 0;

    margin-top: 54px;
}

.footer-menu{
    display: flex;
    justify-content: baseline;
    align-items: center;
    text-decoration: none;
    list-style-type: none;
    gap: 28px;
}

.footer-menu-item{
    color: #0C1927;
    font-family: 'Roboto', sans-serif;
    line-height: 28px;
    margin: 0;
    font-size: 28px;
    text-decoration: none;
}

.footer-menu-item a{
    font-family: 'Roboto', sans-serif;
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.footer-menu-item:hover{
    color: #3181A6;
    border-bottom: 1px solid #3181A6;
    padding-bottom: 9px;
}

.copyright{
    color: #010101;
    font-family: 'Roboto', sans-serif;
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;  
    margin-left: 135px;
}

.switch-btn {
    position: fixed;
    width: 70px;
    height: 70px;
    border-radius: 30px;
    cursor: pointer;
    border: none;
    transition: background-color 0.3s, color 0.3s;
}

.default-theme {
    --background-color: #fff;
    --text-color: #000;
    --header-text-color: #fff;
    --menu-background: #DBDBDB;
    --menu-text-color: #000;
    --footer-background: rgba(99, 105, 110, 0.48);
    --footer-text-color: #0C1927;
    --nav-item-hover-background: #222F3A;
    --footer-menu-item-hover-color: #3181A6;
    --button-background: #007bff;
    --button-text-color: #fff;
    --ul-background: #f0f0f0;
    --li-background: #ffffff;
    --li-hover-background: #e0e0e0;
    --li-text-color: #000;
}

.alternate-theme {
    --background-color: #1e1e1e;
    --text-color: #f5f5f5;
    --header-background: #222;
    --header-text-color: #ccc;
    --menu-background: #333;
    --menu-text-color: #f5f5f5;
    --footer-background: #444;
    --footer-text-color: #ddd;
    --nav-item-hover-background: #d41818;
    --footer-menu-item-hover-color: #66c;
    --button-background: #ff6347;
    --button-text-color: #000;
    --ul-background: #2a2a2a;
    --li-background: #eeeeee;
    --li-hover-background: #129b9b;
    --li-text-color: #f5f5f5;
}

body {
    background-color: var(--background-color);
    color: var(--text-color);
}

header {
    background-color: var(--header-background);
    color: var(--header-text-color);
}

.nav-item:hover {
    background-color: var(--nav-item-hover-background);
}

.menu-item:hover {
    background-color: var(--li-hover-background);
    color: var(--li-text-color);
}

footer {
    background-color: var(--footer-background);
    color: var(--footer-text-color);
}

.footer-menu-item:hover {
    color: var(--footer-menu-item-hover-color);
    border-bottom: 1px solid var(--footer-menu-item-hover-color);
    padding-bottom: 9px;
}

.switch-btn {
    background-color: var(--button-background);
    color: var(--button-text-color);
}

.image-container {
    background-color: #fff;
}

.main-text {
    margin-top: 0;
    margin-bottom: 0;
    margin-left: 52px;
    color: var(--text-color);
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    font-style: normal;
    line-height: 24px;
}


li {
    color: var(--li-text-color);
    transition: background-color 0.3s, color 0.3s;
}

li:hover {
    background-color: var(--li-hover-background);
}